//=============================================================================
// Copyright © 2016 FLIR Integrated Imaging Solutions, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of FLIR
// Integrated Imaging Solutions, Inc. ("Confidential Information"). You
// shall not disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with FLIR Integrated Imaging Solutions, Inc. (FLIR).
//
// FLIR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. FLIR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: camera_configuration_tool.h 304806 2016-11-09 16:10:31Z micheleb $
//=============================================================================

#ifndef CAMERA_CONFIGURATION_TOOL_CAMERA_CONFIGURATION_TOOL_H
#define CAMERA_CONFIGURATION_TOOL_CAMERA_CONFIGURATION_TOOL_H

//=============================================================================
// System Includes
//=============================================================================
#include <string>

//=============================================================================
// PGR Includes
//=============================================================================
#include "triclops.h"
#include "fc2triclops.h"

//
// aliases namespaces
//
namespace FC2 = FlyCapture2;
namespace FC2T = Fc2Triclops;

struct ToolParams {
    std::string config_file;
    bool save_configuration = false;
};

// generate Triclops context from connected camera
void generateTriclopsContext(FC2::Camera &camera,
                             TriclopsContext &context,
                             FC2::CameraInfo &camera_info);

void handleError(const std::string &description, const FlyCapture2::Error &error, int lineNumber);

void handleError(const std::string &description, const Fc2Triclops::ErrorType &error, int lineNumber);

void printConfig(const TriclopsContext &context, const FC2::CameraInfo &camera_info);

bool processArgs(int argc, char *argv[], ToolParams &params);

void displayHelp(const std::string &pszProgramName, const ToolParams &params);

#endif //CAMERA_CONFIGURATION_TOOL_CAMERA_CONFIGURATION_TOOL_H
