//=============================================================================
// Copyright © 2016 FLIR Integrated Imaging Solutions, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of FLIR
// Integrated Imaging Solutions, Inc. ("Confidential Information"). You
// shall not disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with FLIR Integrated Imaging Solutions, Inc. (FLIR).
//
// FLIR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. FLIR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: roi_stereo.h 318489 2017-03-09 16:16:58Z micheleb $
//=============================================================================

#ifndef STEREO_PROCESS_STEREO_PROCESS_H
#define STEREO_PROCESS_STEREO_PROCESS_H

//=============================================================================
// System Includes
//=============================================================================
#include <string>

//=============================================================================
// PGR Includes
//=============================================================================
#include "triclops.h"

struct ROIParams {
    std::string input_file                  = "../data/mono_1_in.pgm";
    std::string config_file                 = "../data/bb2_1.cal";
    TriclopsCameraConfiguration camera_mode = TriCfg_2CAM_HORIZONTAL_NARROW;
    int output_cols = -1;
    int output_rows = -1;

    int num_disparities = 241;
    TriclopsBool texture_validation_on = 1;
    TriclopsBool surface_validation_on = 1;
    TriclopsBool back_forth_validation_on = 1;
    float texture_threshold = 1.2;
    float surface_difference = 1.0;
    int surface_size = 200;
    int stereo_mask = 11;
    int edge_mask = 9;
    TriclopsCameraConfiguration camera_config = TriCfg_2CAM_HORIZONTAL;

    TriclopsROI roi;
};

bool processArgs(int argc, char *argv[], ROIParams &params);

void displayHelp(const std::string &pszProgramName, const ROIParams &params);

#endif //STEREO_PROCESS_STEREO_PROCESS_H
