//=============================================================================
// Copyright © 2016 FLIR Integrated Imaging Solutions, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of FLIR
// Integrated Imaging Solutions, Inc. ("Confidential Information"). You
// shall not disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with FLIR Integrated Imaging Solutions, Inc. (FLIR).
//
// FLIR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. FLIR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: rectification.h 318489 2017-03-09 16:16:58Z micheleb $
//=============================================================================

#ifndef RECTIFICATION_H
#define RECTIFICATION_H

//=============================================================================
// System Includes
//=============================================================================
#include <string>

//=============================================================================
// PGR Includes
//=============================================================================
#include "triclops.h"

struct RectParams {
    std::string input_file                  = "../data/mono_1_in.pgm";
    std::string config_file                 = "../data/bb2_1.cal";
    TriclopsCameraConfiguration camera_mode = TriCfg_2CAM_HORIZONTAL_NARROW;
    bool color_feed;
};

bool processArgs(int argc, char* argv[], RectParams &params);
void displayHelp(const std::string &pszProgramName, RectParams &params);

#endif //RECTIFICATION_H
