//=============================================================================
// Copyright © 2016 FLIR Integrated Imaging Solutions, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of FLIR
// Integrated Imaging Solutions, Inc. ("Confidential Information"). You
// shall not disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with FLIR Integrated Imaging Solutions, Inc. (FLIR).
//
// FLIR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. FLIR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: Example_Exception.h 304806 2016-11-09 16:10:31Z micheleb $
//=============================================================================

#ifndef TRICLOPS_EXAMPLE_EXCEPTION_H
#define TRICLOPS_EXAMPLE_EXCEPTION_H

//=============================================================================
// Triclops Includes
//=============================================================================
#include "triclopserror.h"

//=============================================================================
// System Includes
//=============================================================================
#include <exception>
#include <string>

namespace triclops_examples {

class Example_Exception : public std::exception {

public:
    Example_Exception(const std::string &description, const std::string &status, int lineNumber);

    virtual const char *what() const noexcept;

    const std::string &getDescription() const
    {
        return function_name;
    }

    const std::string &getTriclops_Status() const
    {
        return triclops_Status;
    }

    int getLine() const
    {
        return line;
    }

private:
    std::string function_name;
    std::string triclops_Status;
    int line;

    std::string error_log;
};

void handleError(const std::string &description, TriclopsError status, int lineNumber);

} // namespace triclops_examples

#endif //TRICLOPS_EXAMPLE_EXCEPTION_H
