//=============================================================================
// Copyright © 2016 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: AboutDialog.cpp 314373 2017-02-03 10:50:18Z micheleb $
//=============================================================================
#include "AboutDialog.h"
#include "ui_AboutDialog.h"

AboutDialog::AboutDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::AboutDialog)
{
    ui->setupUi(this);
    setWindowTitle("About");
    setWindowFlags(Qt::Dialog | Qt::MSWindowsFixedSizeDialogHint);

    QString app_description("Triclops SDK and Bumblebee demo application.\n");
    app_description += "Built: " + QString(__DATE__) + " " + QString (__TIME__);

    ui->application_description->setText(app_description);
    ui->application_description->setAlignment(Qt::AlignCenter);

    ui->application_image->setPixmap(QPixmap(":/Resources/flir_logo.png"));

    // This is one of the stupidest things in Qt that I have seen to date.
    this->adjustSize();
    setMinimumSize(size());
    setMaximumSize(size());
}

AboutDialog::~AboutDialog()
{
    delete ui;
}

void AboutDialog::on_close_button_released()
{
    close();
}
