//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: FPSCounter.h 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

#ifndef FPSCOUNTER_H
#define FPSCOUNTER_H

//=============================================================================
// System Includes
//=============================================================================
#include <vector>

namespace TriclopsDemo {

class FPSCounter
{
public:
    FPSCounter(unsigned int samples = 200, float smooth = 0.05);

    void InsertSample(float newSample);
    float RollingAverage();
    float ExponentialRollingAverage();

private:
    unsigned int sampleSize;

    float smoothFactor;

    std::vector<float> sampleBuffer;
    float EWMA;
};

}

#endif // FPSCOUNTER_H
