//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: FrameBitmaps.cpp 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

//=============================================================================
// Project Includes
//=============================================================================
#include "FrameBitmaps.h"

//=============================================================================
// Qt Includes
//=============================================================================
#include <QReadWriteLock>

namespace TriclopsDemo {

FrameBitmaps::FrameBitmaps(unsigned int bitmapQuantity) :
    bitmaps(bitmapQuantity)
{
    for(unsigned int i = 0; i < bitmaps.size(); ++i) {
        bitmaps.at(i).mutex = new QReadWriteLock;
    }
}

FrameBitmaps::~FrameBitmaps()
{
    for(unsigned int i = 0; i < bitmaps.size(); ++i) {
        delete bitmaps.at(i).mutex;
    }
}

SharedBitmap_t& FrameBitmaps::getBitmap(BitmapIdentificator_t bitmapId)
{
    return bitmaps.at(bitmapId);
}

}
