//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: FrameBitmaps.h 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

#ifndef FRAMEBITMAPS_H
#define FRAMEBITMAPS_H

//=============================================================================
// Project Includes
//=============================================================================
#include "TriclopsDemoDefinitions.h"
#include "FrameStructures.h"

//=============================================================================
// STDLib Includes
//=============================================================================
#include <vector>

namespace TriclopsDemo{

class FrameBitmaps
{
public:
    FrameBitmaps(unsigned int bitmapQuantity);
    ~FrameBitmaps();

    SharedBitmap_t& getBitmap(TriclopsDemo::BitmapIdentificator_t bitmapId);

private:
    std::vector<TriclopsDemo::SharedBitmap_t> bitmaps;
};

}

#endif // FRAMEBITMAPS_H
