//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: FrameStructures.h 304806 2016-11-09 16:10:31Z micheleb $
//=============================================================================

#ifndef FRAMESTRUCTURES
#define FRAMESTRUCTURES

//=============================================================================
// Project Includes
//=============================================================================
#include "TriclopsDemoDefinitions.h"
#include "StereoBitmap.h"

//=============================================================================
// Qt Includes
//=============================================================================
#include <QReadWriteLock>
#include <QMetaType>

//=============================================================================
// STDLib Includes
//=============================================================================
#include <vector>

//=============================================================================
// PGR Includes
//=============================================================================
#include <triclops.h>

namespace TriclopsDemo {

//=============================================================================
// Bitmap access mnemonics
//=============================================================================
typedef unsigned int BitmapIdentificator_t;

const BitmapIdentificator_t rightRaw                = 0;
const BitmapIdentificator_t centreRaw               = 1;
const BitmapIdentificator_t leftRaw                 = 2;
const BitmapIdentificator_t sideBySideRaw           = 3;

const BitmapIdentificator_t rightRectified          = 4;
const BitmapIdentificator_t centreRectified         = 5;
const BitmapIdentificator_t leftRectified           = 6;

const BitmapIdentificator_t rightEdge               = 7;
const BitmapIdentificator_t centreEdge              = 8;
const BitmapIdentificator_t leftEdge                = 9;

const BitmapIdentificator_t disparityMap            = 10;
const BitmapIdentificator_t distanceMap             = 11;
const BitmapIdentificator_t greyscaleDisparityMap   = 12;

const unsigned int TOTALBITMAPS = 13;

//=============================================================================
// Shared bitmap definition
//=============================================================================
struct SharedBitmap_t{
    TriclopsDemo::StereoBitmap data;
    QReadWriteLock *mutex;
};

//=============================================================================
// Triclops structures for stereo computations
//=============================================================================
//struct TriclopsFrame_t {
//    TriclopsInput rawRight;
//    TriclopsInput rawLeft;
//    TriclopsInput rawCentre;
//    TriclopsInput rawSideBySide;

//    TriclopsInput stereo;

//    TriclopsInput general;
//};

}

Q_DECLARE_METATYPE(TriclopsDemo::BitmapIdentificator_t)

#endif // FRAMESTRUCTURES
