//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: FrameViewer.cpp 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

//=============================================================================
// Project Includes
//=============================================================================
#include "FrameViewer.h"

//=============================================================================
// QT Includes
//=============================================================================
#include <QDebug>

namespace TriclopsDemo {

FrameViewer::FrameViewer(QWidget *parent):
    QGraphicsView(parent)
{
    setMouseTracking(true);
}

void FrameViewer::mouseMoveEvent(QMouseEvent *event)
{
    QPointF mousePosition = mapToScene(event->pos());
    if (items(event->pos()).size() != 0) {
        emit hoveringOverFeed(mousePosition);
    }
}

void FrameViewer::mouseReleaseEvent(QMouseEvent *event)
{
    QPointF mousePosition = mapToScene(event->pos());
    if (items(event->pos()).size() != 0) {
        emit pixelClicked(mousePosition);
    }
}

} // namespace TriclopsDemo
