//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: OfflineContext.h 287944 2016-06-23 15:49:35Z micheleb $
//=============================================================================

#ifndef OFFLINECONTEXT_H
#define OFFLINECONTEXT_H

//=============================================================================
// Project Includes
//=============================================================================
#include "ViewContext.h"
#include "StereoManager.h"
#include "RenderWindow.h"
#include "RGBAColour.h"
#include "OfflineRenderer.h"
#include "PointCloudWindow.h"

//=============================================================================
// Qt Includes
//=============================================================================
#include <QString>
#include <QThread>
#include <QTimer>

namespace TriclopsDemo {

class OfflineContext : public TriclopsDemo::ViewContext
{
    Q_OBJECT

public:
    OfflineContext();
    ~OfflineContext();

    bool Initialize();
    void StartThread(const RenderWindow *renderer);
    void StartThread();

    bool IsColor() const;

    QString Identificator();

    TriclopsDemo::Resolution_t GetMaxResolution() const;

    void LinkTo3DWindow(const PointCloudWindow *cloudRenderer);
    void LinkToSubWindow(const RenderWindow *newSubwindow) const;

private:
    TriclopsDemo::Resolution_t sourceResolution;

    bool bColourSource;

    TriclopsDemo::FileDefinition_t sourcePicture;

    TriclopsDemo::OfflineRenderer *offlineProcessor;
    QTimer *timer3D;
};

} // namespace TriclopsDemo

#endif // OFFLINECONTEXT_H
