//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: StereoBitmap.cpp 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

//=============================================================================
// System Includes
//=============================================================================
#include <cstdlib>

//=============================================================================
// Project Includes
//=============================================================================
#include "StereoBitmap.h"

namespace TriclopsDemo {

StereoBitmap::StereoBitmap()
{

}

StereoBitmap::~StereoBitmap()
{

}

void StereoBitmap::Initialise(Resolution_t size, bool colour)
{
    if (colour) {
        bitsPerPixel = 32;
    } else {
        bitsPerPixel = 8;
    }

    imageSize = size;
}

unsigned int StereoBitmap::BitsPerPixel()
{
    return bitsPerPixel;
}

QImage& StereoBitmap::QIMAGE()
{
    return qImage;
}

std::vector<unsigned char>& StereoBitmap::RAW()
{
    return rawData;
}

StereoBitmap& StereoBitmap::setBitsPerPixel(unsigned int newBPP)
{
    bitsPerPixel = newBPP;

    return *this;
}

}
