//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: StereoBitmap.h 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

#ifndef STEREOBITMAP_H
#define STEREOBITMAP_H

//=============================================================================
// Project Includes
//=============================================================================
#include "TriclopsDemoDefinitions.h"

//=============================================================================
// STDLib Includes
//=============================================================================
#include <vector>

//=============================================================================
// Qt Includes
//=============================================================================
#include <QImage>

//=============================================================================
// PGR Includes
//=============================================================================
#include <triclops.h>

namespace TriclopsDemo {

class StereoBitmap
{
public:
    StereoBitmap();
    ~StereoBitmap();

    void Initialise(TriclopsDemo::Resolution_t size,
                          bool colour);

    QImage& QIMAGE();
    std::vector<unsigned char>& RAW();

    unsigned int BitsPerPixel();

    StereoBitmap& setBitsPerPixel(unsigned int newBPP);

//    bool setData(const TriclopsPackedColorImage &input);

private:

    QImage qImage;
    std::vector<unsigned char> rawData;

    unsigned int bitsPerPixel;
    TriclopsDemo::Resolution_t imageSize;
};

}

#endif // STEREOBITMAP_H
