//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: StereoInfoToolbox.cpp 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

//=============================================================================
// Project Includes
//=============================================================================
#include "StereoInfoToolbox.h"
#include "ui_StereoInfoToolbox.h"

//=============================================================================
// Qt Includes
//=============================================================================
#include <QString>

StereoInfoToolbox::StereoInfoToolbox(QWidget *parent) :
    QDockWidget(parent),
    ui(new Ui::StereoInfoToolbox)
{
    ui->setupUi(this);
}

StereoInfoToolbox::~StereoInfoToolbox()
{
    delete ui;
}

void StereoInfoToolbox::on_locationAndColourChange(QPoint location, QColor color)
{
    QString position = QString("[%1;%2]").arg(location.x()).arg(location.y());

    ui->PositionLabelValue->setText(position);

    QString colorLabelStyle ("QLabel { \n"
        "border-width: 1px; \n"
        "border-style: solid; \n"
        "border-color: #272822; \n"
        "background-color: ");
    colorLabelStyle += color.name();
    colorLabelStyle += "\n }";

    ui->ColorContainer->setStyleSheet(colorLabelStyle);
}

void StereoInfoToolbox::on_hoveringOverDisparity(QString disparity, QString distance)
{
    ui->DisparityLabelValue->setText(disparity);
    ui->DistanceLabelValue->setText(distance);
}
