//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: StereoInfoToolbox.h 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

#ifndef STEREOINFOTOOLBOX_H
#define STEREOINFOTOOLBOX_H

//=============================================================================
// Qt Includes
//=============================================================================
#include <QDockWidget>
#include <QPoint>
#include <QColor>
#include <QString>

namespace Ui {
class StereoInfoToolbox;
}

class StereoInfoToolbox : public QDockWidget
{
    Q_OBJECT

public:
    explicit StereoInfoToolbox(QWidget *parent = 0);
    ~StereoInfoToolbox();

public slots:
    void on_locationAndColourChange(QPoint location, QColor color);
    void on_hoveringOverDisparity(QString disparity, QString distance);

private:
    Ui::StereoInfoToolbox *ui;
};

#endif // STEREOINFOTOOLBOX_H
