//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: StereoManager.h 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

#ifndef STEREOMANAGER_H
#define STEREOMANAGER_H

//=============================================================================
// Project Includes
//=============================================================================
#include "StereoData.h"
#include "TriclopsDemoDefinitions.h"

//=============================================================================
// PGR Includes
//=============================================================================
#include <triclops.h>

namespace TriclopsDemo{

class StereoManager
{
public:
    StereoManager();

    bool InitialiseStereoData(TriclopsDemo::StereoData &Context,
                              unsigned int cameraSerial,
                              TriclopsDemo::Resolution_t maxResolution,
                              TriclopsDemo::BumblebeeVersion_t bumblebeeModel);
};

}

#endif // STEREOMANAGER_H
