//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: TriclopsCameraControlDlg.cpp 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

//=============================================================================
// System Includes
//=============================================================================
#include <assert.h>

//=============================================================================
// Project Includes
//=============================================================================
#include "TriclopsCameraControlDlg.h"

namespace TriclopsDemo{

TriclopsCameraControlDlg::TriclopsCameraControlDlg()
{
    bConnected = false;
}

TriclopsCameraControlDlg::~TriclopsCameraControlDlg()
{
    TriclopsCameraControlDlg::Disconnect();
}

void TriclopsCameraControlDlg::Connect(FlyCapture2::CameraBase *pCamera)
{
    TriclopsCameraControlDlg::Disconnect();
    CameraControlDlg::Connect(pCamera);

    bConnected = true;
}

void TriclopsCameraControlDlg::Disconnect()
{
    if (bConnected) {
        TriclopsCameraControlDlg::Hide();
        CameraControlDlg::Disconnect();
    }

    bConnected = false;
}

void TriclopsCameraControlDlg::Show()
{
    assert(bConnected);

    if (!IsVisible()){
        CameraControlDlg::Show();
    }
}

void TriclopsCameraControlDlg::Hide()
{
    assert(bConnected);

    if (IsVisible()){
        CameraControlDlg::Hide();
    }
}

void TriclopsCameraControlDlg::ShowHide()
{
    assert(bConnected);

    if (!IsVisible()){
        CameraControlDlg::Show();
    } else {
        CameraControlDlg::Hide();
    }
}

bool TriclopsCameraControlDlg::IsConnected()
{
    return bConnected;
}

}
