//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: UIControlsManager.h 287944 2016-06-23 15:49:35Z micheleb $
//=============================================================================

#ifndef UICONTROLSMANAGER_H
#define UICONTROLSMANAGER_H

//=============================================================================
// Qt Includes
//=============================================================================
#include <QWidget>
#include <QAction>
#include <QList>

namespace TriclopsDemo {

class UIControlsManager
{
public:
    UIControlsManager();
    ~UIControlsManager();

    void AddControl(QWidget *newControl);
    void AddControl(QAction *newAction);

    void AddControls(const QList<QWidget*> &newControls);
    void AddControls(const QList<QAction*> &newControls);

    void IncrementWindowCount();
    void DecrementWindowCount();

    void DisableControls();

private:
    QList<QWidget*> menus;
    QList<QAction*> actions;
    int windowCount;

    void EnableControls();
};

} // namespace TriclopsDemo

#endif // UICONTROLSMANAGER_H
